Uploaded image for project: 'OpenJPA'
  1. OpenJPA
  2. OPENJPA-2756

PostgreSQL requires escaping of search strings in all versions

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.0.0
    • Fix Version/s: 3.1.0
    • Component/s: jdbc
    • Labels:
      None

      Description

      Our PostgresDictionary did enable the flag requiresSearchStringEscapeForLike only for PostgreSQL versions <= 9.0.
      But this is essentially still needed. Just tested it with PostgreSQL-11.

        Attachments

          Activity

            People

            • Assignee:
              struberg Mark Struberg
              Reporter:
              struberg Mark Struberg
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: